Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84034 - Chinese(Simplified) (<span lang="zh_CN.GB18030">ç®ä½ä¸­æ</span>) doesn't look right
Summary: Chinese(Simplified) (<span lang="zh_CN.GB18030">ç®ä½ä¸­æ</span>) doesn't ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: pango
Version: beta4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-11 06:12 UTC by Matt Wilson
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-11 19:21:44 UTC


Attachments (Terms of Use)

Description Matt Wilson 2003-02-11 06:12:03 UTC
Description of problem:
"Chinese(Simplified) (<span lang="zh_CN.GB18030">ç®ä½ä¸­æ</span>)" shows ç®ä½ä¸­
æ in non-anti-aliased font, instead of picking the right font for zh_CN

Expected results:
Use the right font for zh_CN

Comment 1 Matt Wilson 2003-02-11 06:54:22 UTC
better example: 

Japanese (<span lang="ja_JP.UTF-8">æ¥æ¬èª</span>)

"æ¥æ¬" are bitmap "èª" is anti-aliased


Comment 2 Owen Taylor 2003-02-11 13:41:19 UTC
What if you do it without the encodings? span="zh_CN" and span="ja"?
Pango doesn't know anything about encodings, it doesn't care anything
about encodings, it doesn't support encodings in language tags.

(Wow, this is the first time I've seen bugzilla not mangle i18n text
in a bug report...)


Comment 3 Owen Taylor 2003-02-11 16:02:15 UTC
Pretty obvious bug, I'll build a package with a fix in a few minutes.

(Basically, the LANG attribute is misclassified as not affecting
the font.)


Comment 4 Owen Taylor 2003-02-11 16:05:37 UTC
Hmm, no, that wasn't it... need to look further.

Comment 5 Owen Taylor 2003-02-11 19:21:44 UTC
Fixed in 1.2.1-2.

* Tue Feb 11 2003 Owen Taylor <otaylor@redhat.com>
- Fix problem where language tag wasn't causing relookup of font (#84034)



Note You need to log in before you can comment on or make changes to this bug.